org.flexdock.plaf

## Class Configurator

- java.lang.Object
- - org.flexdock.plaf.Configurator

- All Implemented Interfaces:
    XMLConstants

      public final class Configurator
      extends java.lang.Object
      implements XMLConstants

  Author:
    Christopher Butler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_PREFS_URI`
    `static java.lang.String` | `PREFS_URI`

    - ### Fields inherited from interface org.flexdock.plaf.XMLConstants

      `ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.HashMap` | `getNamedElementsByTagName(java.lang.String tagName)`
    `static PropertySet[]` | `getProperties(java.lang.String tagName)`
    `static PropertySet[]` | `getProperties(java.lang.String[] names, java.util.HashMap cache)`
    `static PropertySet[]` | `getProperties(java.lang.String[] names, java.lang.String tagName)`
    `static PropertySet` | `getProperties(java.lang.String name, java.lang.String tagName)`
    `static java.lang.Object` | `getResource(java.lang.String stringValue, java.lang.String currentHandlerName, java.lang.String defaultHandlerName)`
    `static boolean` | `isNull(java.lang.String data)`
    `static org.w3c.dom.Document` | `loadDefaultPrefs()`
    `static org.w3c.dom.Document` | `loadUserPrefs()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PREFS_URI

          public static final java.lang.String DEFAULT_PREFS_URI

      See Also:
        Constant Field Values

    - #### PREFS_URI

          public static final java.lang.String PREFS_URI

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### loadUserPrefs

          public static org.w3c.dom.Document loadUserPrefs()

    - #### loadDefaultPrefs

          public static org.w3c.dom.Document loadDefaultPrefs()

    - #### getNamedElementsByTagName

          public static java.util.HashMap getNamedElementsByTagName(java.lang.String tagName)

    - #### getProperties

          public static PropertySet[] getProperties(java.lang.String tagName)

    - #### getProperties

          public static PropertySet getProperties(java.lang.String name,
                                  java.lang.String tagName)

    - #### getProperties

          public static PropertySet[] getProperties(java.lang.String[] names,
                                    java.lang.String tagName)

    - #### getProperties

          public static PropertySet[] getProperties(java.lang.String[] names,
                                    java.util.HashMap cache)

    - #### getResource

          public static java.lang.Object getResource(java.lang.String stringValue,
                                     java.lang.String currentHandlerName,
                                     java.lang.String defaultHandlerName)

    - #### isNull

          public static boolean isNull(java.lang.String data)